Package org.eclipse.m2m.atl.engine.vm

# Class ASMXMLWriter

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMWriter
org.eclipse.m2m.atl.engine.vm.ASMXMLWriter

public class ASMXMLWriter extends ASMWriter

## Constructor Summary

Constructors
Constructor
Description
`ASMXMLWriter(PrintWriter out, boolean debug)`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(ASM asm)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.ASMWriter

`getConstantPool, getCPIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMXMLWriter

public ASMXMLWriter(PrintWriter out, boolean debug)

## Method Details

### print

public void print(ASM asm)

Specified by:
  `print` in class `ASMWriter`